<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-174 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td colspan="3"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="16" valign="top"><img src="images/001.gif"/></td>
        <td width="100%" background="images/header1.gif"><table width="100%" height="144"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td background="images/header.gif" style="background-position:top right;background-repeat:no-repeat;padding-left:40px;">
			<!-- LOGO -->
			<table  border="0" align="left" cellpadding="0" cellspacing="0">
              <tr>
                <td width="80" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table><!-- END LOGO --></td>
          </tr>
        </table></td>
        <td width="16" align="right" valign="top"><img src="images/001_1.gif" width="16" height="144"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="33" valign="top"><img src="images/002.gif" width="33" height="47"/></td>
    <td background="images/002_2.gif" style="background-position:top;background-repeat:repeat-x;padding-top:6px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="1" rowspan="3" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-y;"></td>
        <td height="1" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-x;"></td>
        <td width="1" rowspan="3" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-y;"></td>
      </tr>
      <tr>
        <td height="39" background="images/002_4.gif">
		<!-- MENU -->
		<table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="8"></td>
            <xsl:call-template name="TOP-MENU"/>
            <td width="8"></td>
          </tr>
        </table><!-- END MENU --></td>
        </tr>
      <tr>
        <td height="1" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-x;"></td>
        </tr>
    </table></td>
    <td width="33" valign="top"><img src="images/002_1.gif" width="33" height="47"/></td>
  </tr>
  <tr>
    <td valign="top" background="images/004_3.gif"><img src="images/004.gif" width="30" height="129"/></td>
    <td height="100%" valign="top" background="images/003_3.gif" ><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/003_1.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" background="images/003_2.gif" style="background-position:bottom;background-repeat:repeat-x;padding-top:20px;padding-bottom:20px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top" style="padding:20px;">
				<!-- CONTENT --><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                    <tr>
                      <td valign="top"><table  border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td><img src="images/005.gif" width="17" height="17"/></td>
                          </tr>
                        </table>
                          <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                    </tr>
                </table><!-- END CONTENT --></td>
                <td width="2" background="images/line.gif" style="background-position:top;background-repeat:repeat-y;"></td>
                <td width="180" valign="top"><table width="180" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td valign="top">
					  <!-- SUBMENU -->
					  <table width="148"  border="0" align="right" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

                      </table><!-- END SUBMENU --></td>
                    </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td valign="top" background="images/004_3.gif"><img src="images/004.gif" width="30" height="129"/></td>
  </tr>
  <tr>
    <td valign="top"><img src="images/b1.gif" width="33" height="47"/></td>
    <td background="images/b.gif" style="background-position:bottom;background-repeat:repeat-x;padding-bottom:6px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="1" rowspan="3" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-y;"></td>
        <td height="1" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-x;"></td>
        <td width="1" rowspan="3" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-y;"></td>
      </tr>
      <tr>
        <td height="39" background="images/002_4.gif"><!-- BOTTOM MENU -->
          <table height="39"  border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
			<td width="5"></td>
             <xsl:call-template name="BOTTOM-MENU"/>
              <td width="15"></td>
            </tr>
          </table>
            <!-- END BOTTOM MENU --></td>
      </tr>
      <tr>
        <td height="1" background="images/002_3.gif" style="background-position:top left;background-repeat:repeat-x;"></td>
      </tr>
    </table></td>
    <td valign="top"><img src="images/b2.gif" width="33" height="47"/></td>
  </tr>
  <tr>
    <td valign="top"><img src="images/b3_1.gif" width="33" height="35"/></td>
    <td background="images/b3.gif"><!-- FOOTER --><table   border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table><!-- END FOOTER --></td>
    <td valign="top"><img src="images/b3_2.gif" width="33" height="35"/></td>
  </tr>
  
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

 <tr>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td width="10"></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
<td width="10"></td>
</tr>


		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <tr>
<td colspan="2"><img src="images/006.gif"/></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td width="10"></td>
<td class="bmenua"><div align="center"><a href='{@HREF}' class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
<td class="b1"><img src="images/007.gif"/></td>
	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>
<td width="10"></td>
<td class="bmenu"><div align="center"><a href='{@HREF}' class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
<td class="b1"><img src="images/007.gif"/></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">


<td class="b1"><img src="images/007_1.gif"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
