<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-210 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0"  style="background-image: url(images/diweng.gif);">
  <tr >
   <td width="42" ><img src="images/spacer.gif" width="42" height="1" border="0" /></td>
   <td width="6" ><img src="images/spacer.gif" width="6" height="1" border="0" /></td>
   <td width="216"><img src="images/spacer.gif" width="216" height="1" border="0" /></td>
   <td width="2" ><img src="images/spacer.gif" width="1" height="1" border="0" /></td>
   <td width="1117" ><img src="images/spacer.gif" width="463" height="1" border="0" /></td>
   <td width="6" ><img src="images/spacer.gif" width="6" height="1" border="0" /></td>
   <td width="45" ><img src="images/spacer.gif" width="45" height="1" border="0" /></td>
   <td width="1" ><img src="images/spacer.gif" width="1" height="1" border="0" /></td>
  </tr>

  <tr>
   <td rowspan="9"></td>
   <td height="15" colspan="5"></td>
   <td rowspan="9"></td>
  </tr>
  <tr>
    <td colspan="5" align="center">
	<table border="0" cellpadding="0" cellspacing="0">
      <tr>
<xsl:call-template name="TOP-MENU"/>
        </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td height="15" colspan="5"></td>
  </tr>
  <tr>
<td colspan="3" align="center"  style="background-image: url(images/logobg.gif); background-repeat: no-repeat; height: 209px;
	width: 224px;"> 
	  
	<table width="200" border="0" cellpadding="0" cellspacing="0">
     <tr align="center" valign="bottom">
       <td colspan="2" style="padding: 3px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
     </tr>
     <tr>
       <td valign="bottom"><div align="center"><span class="bot_menu"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span></div></td>
       </tr>
     <tr>
       <td valign="top"><div align="center"><span class="bot_menuCopy"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></div></td>
     </tr>
   </table>
   
   </td>
   <td colspan="2" align="right" background="images/ditop.gif">
 <table width="100%"  border="0" cellspacing="0" cellpadding="0">
     <tr>
       <td height="209" style="background-image: url(images/header.gif);
	background-repeat: no-repeat;
	background-position: right;"></td>
     </tr>
   </table>
   </td>
  </tr>
  <tr>
   <td background="images/dixian.gif"></td>
   <td height="100%" align="center" valign="top" background="images/dileft.gif">
<br/>

<table width="170" border="0" cellspacing="0" cellpadding="0">
   <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
</table>
<br/>
   </td>
   <td colspan="2" valign="top" bgcolor="#30373B" width="100%" height="100%" style="padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/text.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100">
	  <tr><td valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	  </tr></table>
<!-- END CONTENT -->
   </td>
   <td background="images/dixian-right.gif"></td>
  </tr>
  <tr>
   <td height="6" colspan="5" background="images/dixian-bo.gif"></td>
  </tr>
  <tr>
   <td colspan="2" rowspan="3" align="center"><table width="222" border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td width="221" rowspan="7" class="iconfoot">
	   <!-- FOOTER -->
		<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER --></td>
       <td width="1" height="10"></td>
     </tr>
     <tr>
       <td height="50" bgcolor="#777B7E" class="icon-1"></td>
     </tr>
     <tr>
       <td height="10"></td>
     </tr>    
   </table></td>
   <td colspan="3" align="center"></td>
  </tr>
  <tr>
    <td colspan="3" align="center">
	<table border="0" cellpadding="0" cellspacing="0">
        <tr>
	      <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td colspan="3" align="center"></td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
    <td width="176" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    <td width="14"><img src="images/bullet-right.gif" width="14" height="7"/></td>
  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
  <tr>
    <td width="176"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    <td width="14"><img src="images/bullet-right.gif" width="14" height="7"/></td>
  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
  <tr>
     <td height="10" colspan="2"><img src="images/spacer.gif" width="10" height="10" /></td>
  </tr>
  <tr>
     <td height="1" colspan="2" background="images/leftxian.gif"></td>
  </tr>
  <tr>
     <td height="10" colspan="2"><img src="images/spacer.gif" width="10" height="10" /></td>
  </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
  <td class="iconfoot"><img src="images/bullet-bo.gif" width="8" height="7"/></td>
  <td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
  <td class="iconfoot"><img src="images/bullet-bo.gif" width="8" height="7"/></td>
  <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
